Bug 830175 - [abrt] twinkle-1.4.2-17.fc17: __GI_raise: Process /usr/bin/twinkle was killed by signal 6 (SIGABRT)
[abrt] twinkle-1.4.2-17.fc17: __GI_raise: Process /usr/bin/twinkle was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: twinkle (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:6d276823aa7be625820c6734d9c...
: Reopened
: 908654 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 09:05 EDT by Jay Turner
Modified: 2015-01-07 19:17 EST (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:46:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.01 KB, text/plain)
2012-06-08 09:05 EDT, Jay Turner
no flags Details
File: maps (33.22 KB, text/plain)
2012-06-08 09:06 EDT, Jay Turner
no flags Details
File: dso_list (6.79 KB, text/plain)
2012-06-08 09:06 EDT, Jay Turner
no flags Details

  None (edit)
Description Jay Turner 2012-06-08 09:05:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        twinkle
comment:        Attempted to launch after fresh F17 installation.
crash_function: __GI_raise
executable:     /usr/bin/twinkle
kernel:         3.4.0-1.fc17.x86_64
pid:            2431
pwd:            /home/jkt
time:           Fri 08 Jun 2012 08:59:10 AM EDT
uid:            1000
username:       jkt

backtrace:      Text file, 13323 bytes
dso_list:       Text file, 6951 bytes
maps:           Text file, 34017 bytes

build_ids:
:4555444390434459edd5379df593b6d7382f86be
:45e0014c86f9c5707b728cec9485c036cf17aed7
:e72554eed77ffd0e8035cab8aed2a609feace311
:a7cb92c605124d34d25d6b3f5d51820fbfc2b7cd
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:0339e448510e66ad611e6f5df08565db4fe4bc23
:7024c532984148e2b555c6194ff684a6d0e80d78
:0514a87dce68501ddad7b3a42aef18395501af9e
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:091927b7a315243a2ff0383dfca1fd2c665405bf
:b1d153210912a4e6676baba28456bcb99597310e
:b277af36744327e3d58eae76bcdaadcca71a28c6
:cc0308e3e0d598ed9860e082c9561bdf60497dbd
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:ca304f5b75bba1bcf44bc06f6b2749848aa5e2ff
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:6c41ef715769150801aebb3267ae216349586654
:e8af1109514d143720e603ef1e479a783645e0f1
:9844ddd102c0ee8bba1b09d437b871441f5c375b
:e91010b497ec024178c36f4365b21f668bada0ca
:318ff47751c8144098e1808396ab73dd48c1e7b4
:4ae80599ce3747bd9047e56e05aaf8fecce192c0
:a92ec89fecd0ab6c12ceb1d33c0689cf99bc7b5c
:4504beabd434c4e335d484b890a6adf1f8d995f6
:f64b7319b84d426ed547084bdb2577f4f596c18f
:fc25002385bcc34d03c61bf6fdea01f4ddc8cd45
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:54a4a5cb60ac6c40e2759249ff91e8825415c585
:262cecb1401f87e2f5e1b5cf94ff6f0a864fe38f
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:73777e822e00ca152ffca281ab0ace0cb498ec48
:1d4df97fa6024b097b634a272447243c95c26d85
:116ae11be891bcddc048fddee29239248ed5d47e
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:1af4d809a44180725f5ea6e877fb2ebf3c689175
:c4ec0971b2dcee71aaf8374975474054245fea00
:130699b76d99d57ef46beeed9d693005f3c8917f
:5f07707b5f8817b7e51c778be3b759ed702e18ff
:6aff723f98f7ad40923b72073ac640ae43cd6a45
:293d4c2b92a782e4817b228aaaa8f8f8e17714c6
:822e9b3523e8312240f41a25722d539bc77ed436
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1d70d72bfd74df0c937d2bcc00069f8c78e79732
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:c22f6dbb56084ab59991abf9cb2f6eccb14ec823
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:247132297f287226a24c12e683292f5c94013066
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:1a0c09f270adf8398df4362ce0acfafc1f970982
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:c04e591ba5fff2694e134125ec6cf7c28c579cb4
:6e3dbb942f7e173d65ea958bd449f6727b220abb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:2dd7228ce499f74d16c0b8de539f4f20ba2df520
:2ae23ffd3a7a82a7c534e4dbb74ba4ba169a6b19
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:344356c1a518d582f1ce93cd5fbebd16b15306f1
:d74c5facc600e702f7e69f50ecea66c97b2bed77
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:6742f0b7cd58acbb20516ab5b8a4f9a846ca2249
:d0c2cbd411c9d89410b7d47b1d06e5b53c3532ca
:b464395fd7cef48df664f93968414461e90dfeaa
:5e22afc481a4600d7e744e12a3b3305c4ffd4ca0
:b25c190b3034da92ce923fdfac7096c680c0c513
:af945724af42823d8f3ee175768dcb912e3c25a0

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jkt/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37291 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7568b __libc_message libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1097e7 __fortify_fail libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x1079a0 __chk_fail libc.so.6 -
:5f07707b5f8817b7e51c778be3b759ed702e18ff 0x28e73 - libccgnu2-1.8.so.0 -
:5f07707b5f8817b7e51c778be3b759ed702e18ff 0x295f8 ost::IPV4Host::IPV4Host(char libccgnu2-1.8.so.0 -
:6aff723f98f7ad40923b72073ac640ae43cd6a45 0x200e1 - libcommoncpp.so.5 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xee26 call_init.part.0 ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0xeee0 _dl_init_internal ld-linux-x86-64.so.2 -
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38 0x156a _dl_start_user ld-linux-x86-64.so.2 -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=atomic.devel.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/jkt/keyring-OviD0I
:IMSETTINGS_MODULE=none
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jkt/.local/bin:/home/jkt/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jkt
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1040
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jkt
:SHLVL=1
:LOGNAME=jkt
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MDHC3r2YHC,guid=19d669a2c214ed3e187e6a8600000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jkt
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-jkt-iETP1i/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1044,unix/unix:/tmp/.ICE-unix/1044
:SSH_AUTH_SOCK=/run/user/jkt/keyring-OviD0I/ssh
:GPG_AGENT_INFO=/run/user/jkt/keyring-OviD0I/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-twinkle.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2431
:DESKTOP_STARTUP_ID=gnome-shell-1257-atomic.devel.redhat.com-twinkle-5_TIME1753124

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30536                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30536                30536                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/jkt/.xsession-errors
:2:/home/jkt/.xsession-errors

smolt_data:
:
:
:General
:=================================
:UUID: d976bae4-531b-4dec-9392-4dc26f3a73e0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5581.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 3838
:System Swap: 4927
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_atomic-lv00 / ext4 4096 4096 12788922 11572741 11444722 3203072 3068891 3068891
:/dev/sda1 /boot ext4 4096 4096 261467 233937 220830 65536 65180 65180
:/dev/mapper/luks-aa1d0095-a44c-4e93-bbea-35944db7e3ef WITHHELD ext4 4096 4096 12778203 12556511 11916332 3203072 3203061 3203061
:/dev/mapper/luks-6b229163-32a0-4b39-a0c7-081454a3145f /home ext4 4096 4096 24283523 10998423 9782347 6086656 5450857 5450857
:

var_log_messages:
:Jun  8 08:58:25 atomic yum[2379]: Installed: twinkle-1.4.2-17.fc17.x86_64
:Jun  8 08:59:10 atomic abrt[2434]: Saved core dump of pid 2431 (/usr/bin/twinkle) to /var/spool/abrt/ccpp-2012-06-08-08:59:10-2431 (3579904 bytes)

xsession_errors:
:*** buffer overflow detected ***: twinkle terminated
:00400000-00714000 r-xp 00000000 fd:00 168951                             /usr/bin/twinkle
:00913000-00917000 rw-p 00313000 fd:00 168951                             /usr/bin/twinkle
:abrt-applet: repeated problem in twinkle-1.4.2-17.fc17, not showing the notification
:*** buffer overflow detected ***: twinkle terminated
:00400000-00714000 r-xp 00000000 fd:00 168951                             /usr/bin/twinkle
:00913000-00917000 rw-p 00313000 fd:00 168951                             /usr/bin/twinkle
:abrt-applet: repeated problem in twinkle-1.4.2-17.fc17, not showing the notification
Comment 1 Jay Turner 2012-06-08 09:05:57 EDT
Created attachment 590424 [details]
File: backtrace
Comment 2 Jay Turner 2012-06-08 09:06:22 EDT
Created attachment 590425 [details]
File: maps
Comment 3 Jay Turner 2012-06-08 09:06:24 EDT
Created attachment 590426 [details]
File: dso_list
Comment 4 Kevin Fenzi 2012-06-08 11:11:59 EDT
This happens all the time? Or was a one time thing? or ?
Comment 5 Jay Turner 2012-06-08 13:35:20 EDT
Every time that I attempt to run twinkle.  Appears to happen as well when attempting to recompile.  Trying to ensure it is the same error.
Comment 6 Jay Turner 2012-06-08 13:40:17 EDT
Just stumbled into the same mess when attempting to run linphone which leads me to believe this is probably something hardware/install-specific and not something specific to twinkle.  Will more than likely close this issue out.
Comment 7 Jay Turner 2012-06-12 08:42:12 EDT
Closing this one out.  Not really sure what happened on my system but I suspect some odd combination of updates being applied, prelink running, other packages installing.  Reinstalling Fedora resolved the issue.
Comment 8 Lucas Meneghel Rodrigues 2012-06-20 17:18:38 EDT
I'm having a similar problem. It's a really poor solution having to reinstall my box to make this go away...
Comment 9 Russell Harrison 2012-09-17 11:28:49 EDT
This is also happening on my system.  While I can accept this may not be a twinkle bug I would greatly appreciate some help figuring out where my config is incorrect.
Comment 10 Kevin Fenzi 2012-09-17 11:51:24 EDT
Is the traceback exactly the same?

Can you attach your /etc/hosts file here?
Comment 11 Russell Harrison 2012-09-26 22:28:02 EDT
$ cat ~/.cache/abrt/spool/ccpp-2012-08-08-11\:55\:28-17247/core_backtrace f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
f69712fe393313f44607679e934bf5a67f39ec50 0x37251 abort libc.so.6 -
f69712fe393313f44607679e934bf5a67f39ec50 0x7564b __libc_message libc.so.6 -
f69712fe393313f44607679e934bf5a67f39ec50 0x1097c7 __fortify_fail libc.so.6 -
f69712fe393313f44607679e934bf5a67f39ec50 0x107980 __chk_fail libc.so.6 -
5f07707b5f8817b7e51c778be3b759ed702e18ff 0x28e73 - libccgnu2-1.8.so.0 -
5f07707b5f8817b7e51c778be3b759ed702e18ff 0x295f8 ost::IPV4Host::IPV4Host(char libccgnu2-1.8.so.0 -
bc2ff00f2a86e4baabce76d881d0f3961461871c 0x20091 - libcommoncpp.so.5 -
6088efab2ef3571c51fb041bb70b4ab626221ba4 0xee26 call_init.part.0 ld-linux-x86-64.so.2 -
6088efab2ef3571c51fb041bb70b4ab626221ba4 0xeee0 _dl_init_internal ld-linux-x86-64.so.2 -
6088efab2ef3571c51fb041bb70b4ab626221ba4 0x156a _dl_start_user ld-linux-x86-64.so.2 -
- 0x0 - - -
- 0x0 - - -
- 0x0 - - -

$ cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

abrt identified this bug as a duplicate of my crash but I still have the report in spool so I can attach the full backtrace if needed.
Comment 12 Lari Tanase 2012-10-03 04:15:51 EDT
I have opted to quit twinkle and then start again in several seconds

apparently the initial session will never end (if you opt to quit)

I have tested in this way also
1. start computer (fedoara 17 )
2. start Twinkle 
3. after some minutes select "Quit'
I can see forever the PID of twinkle in my running programs
only reboot or kill -9 it will kill it


backtrace_rating: 3
Package: twinkle-1.4.2-17.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Anton Arapov 2012-12-10 12:46:23 EST
Just run in.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Dan Tucny 2012-12-20 03:29:38 EST
install fedora 18 with twinkle selected, run twinkle

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 15 Alexis Solanas 2013-01-17 06:16:18 EST
Just started twinkle and it failed with :

twinkle   
*** buffer overflow detected ***: twinkle terminated
======= Backtrace: ========= 
/lib64/libc.so.6(__fortify_fail+0x37)[0x3cae90a697]
/lib64/libc.so.6[0x3cae908810]
/lib64/libccgnu2-1.8.so.0[0x3cbc428e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x3cbc4295f8]
/lib64/libcommoncpp.so.5[0x3cbd4200f1]
/lib64/ld-linux-x86-64.so.2[0x3cae00ef36]
/lib64/ld-linux-x86-64.so.2[0x3cae00eff0]
/lib64/ld-linux-x86-64.so.2[0x3cae0015ca]
======= Memory map: ======== 
00400000-00714000 r-xp 00000000 fd:02 1857572                            /usr/bin/twinkle
00914000-00915000 r--p 00314000 fd:02 1857572                            /usr/bin/twinkle
00915000-0091a000 rw-p 00315000 fd:02 1857572                            /usr/bin/twinkle
00b19000-00b67000 rw-p 00319000 fd:02 1857572                            /usr/bin/twinkle
029b6000-029d7000 rw-p 00000000 00:00 0                                  [heap]
3cae000000-3cae020000 r-xp 00000000 fd:02 1836004                        /usr/lib64/ld-2.16.so
3cae220000-3cae221000 r--p 00020000 fd:02 1836004                        /usr/lib64/ld-2.16.so
3cae221000-3cae222000 rw-p 00021000 fd:02 1836004                        /usr/lib64/ld-2.16.so
3cae222000-3cae223000 rw-p 00000000 00:00 0
3cae400000-3cae415000 r-xp 00000000 fd:02 1838305                        /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3cae415000-3cae614000 ---p 00015000 fd:02 1838305                        /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3cae614000-3cae615000 r--p 00014000 fd:02 1838305                        /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3cae615000-3cae616000 rw-p 00015000 fd:02 1838305                        /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3cae800000-3cae9ad000 r-xp 00000000 fd:02 1836189                        /usr/lib64/libc-2.16.so
3cae9ad000-3caebad000 ---p 001ad000 fd:02 1836189                        /usr/lib64/libc-2.16.so
3caebad000-3caebb1000 r--p 001ad000 fd:02 1836189                        /usr/lib64/libc-2.16.so
3caebb1000-3caebb3000 rw-p 001b1000 fd:02 1836189                        /usr/lib64/libc-2.16.so
3caebb3000-3caebb8000 rw-p 00000000 00:00 0
3caec00000-3caec16000 r-xp 00000000 fd:02 1836708                        /usr/lib64/libpthread-2.16.so
3caec16000-3caee16000 ---p 00016000 fd:02 1836708                        /usr/lib64/libpthread-2.16.so
3caee16000-3caee17000 r--p 00016000 fd:02 1836708                        /usr/lib64/libpthread-2.16.so
3caee17000-3caee18000 rw-p 00017000 fd:02 1836708                        /usr/lib64/libpthread-2.16.so
3caee18000-3caee1c000 rw-p 00000000 00:00 0
3caf000000-3caf003000 r-xp 00000000 fd:02 1836696                        /usr/lib64/libdl-2.16.so
3caf003000-3caf202000 ---p 00003000 fd:02 1836696                        /usr/lib64/libdl-2.16.so
3caf202000-3caf203000 r--p 00002000 fd:02 1836696                        /usr/lib64/libdl-2.16.so
3caf203000-3caf204000 rw-p 00003000 fd:02 1836696                        /usr/lib64/libdl-2.16.so
3caf400000-3caf407000 r-xp 00000000 fd:02 1836711                        /usr/lib64/librt-2.16.so
3caf407000-3caf606000 ---p 00007000 fd:02 1836711                        /usr/lib64/librt-2.16.so
3caf606000-3caf607000 r--p 00006000 fd:02 1836711                        /usr/lib64/librt-2.16.so
3caf607000-3caf608000 rw-p 00007000 fd:02 1836711                        /usr/lib64/librt-2.16.so
3caf800000-3caf815000 r-xp 00000000 fd:02 1837519                        /usr/lib64/libz.so.1.2.7
3caf815000-3cafa14000 ---p 00015000 fd:02 1837519                        /usr/lib64/libz.so.1.2.7
3cafa14000-3cafa15000 r--p 00014000 fd:02 1837519                        /usr/lib64/libz.so.1.2.7
3cafa15000-3cafa16000 rw-p 00015000 fd:02 1837519                        /usr/lib64/libz.so.1.2.7
3cafc00000-3cafd00000 r-xp 00000000 fd:02 1836688                        /usr/lib64/libm-2.16.so
3cafd00000-3cafeff000 ---p 00100000 fd:02 1836688                        /usr/lib64/libm-2.16.so
3cafeff000-3caff00000 r--p 000ff000 fd:02 1836688                        /usr/lib64/libm-2.16.so
3caff00000-3caff01000 rw-p 00100000 fd:02 1836688                        /usr/lib64/libm-2.16.so
3cb0000000-3cb00b3000 r-xp 00000000 fd:02 1857565                        /usr/lib64/libkabc.so.1.2.0
3cb00b3000-3cb02b3000 ---p 000b3000 fd:02 1857565                        /usr/lib64/libkabc.so.1.2.0
3cb02b3000-3cb02ba000 r--p 000b3000 fd:02 1857565                        /usr/lib64/libkabc.so.1.2.0
3cb02ba000-3cb02bd000 rw-p 000ba000 fd:02 1857565                        /usr/lib64/libkabc.so.1.2.0
3cb02bd000-3cb02be000 rw-p 00000000 00:00 0
3cb0400000-3cb0416000 r-xp 00000000 fd:02 1837828                        /usr/lib64/libresolv-2.16.so
3cb0416000-3cb0615000 ---p 00016000 fd:02 1837828                        /usr/lib64/libresolv-2.16.so
3cb0615000-3cb0616000 r--p 00015000 fd:02 1837828                        /usr/lib64/libresolv-2.16.so
3cb0616000-3cb0617000 rw-p 00016000 fd:02 1837828                        /usr/lib64/libresolv-2.16.so
3cb0617000-3cb0619000 rw-p 00000000 00:00 0
3cb0800000-3cb0823000 r-xp 00000000 fd:02 1857564                        /usr/lib64/libkresources.so.1.2.0
3cb0823000-3cb0a23000 ---p 00023000 fd:02 1857564                        /usr/lib64/libkresources.so.1.2.0
3cb0a23000-3cb0a26000 r--p 00023000 fd:02 1857564                        /usr/lib64/libkresources.so.1.2.0
3cb0a26000-3cb0a27000 rw-p 00026000 fd:02 1857564                        /usr/lib64/libkresources.so.1.2.0
3cb0c00000-3cb0c35000 r-xp 00000000 fd:02 1838205                        /usr/lib64/liblcms.so.1.0.19
3cb0c35000-3cb0e34000 ---p 00035000 fd:02 1838205                        /usr/lib64/liblcms.so.1.0.19
3cb0e34000-3cb0e35000 r--p 00034000 fd:02 1838205                        /usr/lib64/liblcms.so.1.0.19
3cb0e35000-3cb0e36000 rw-p 00035000 fd:02 1838205                        /usr/lib64/liblcms.so.1.0.19
3cb0e36000-3cb0e39000 rw-p 00000000 00:00 0
3cb1000000-3cb103c000 r-xp 00000000 fd:02 1840740                        /usr/lib64/libreadline.so.6.2
3cb103c000-3cb123b000 ---p 0003c000 fd:02 1840740                        /usr/lib64/libreadline.so.6.2
3cb123b000-3cb123d000 r--p 0003b000 fd:02 1840740                        /usr/lib64/libreadline.so.6.2
3cb123d000-3cb1243000 rw-p 0003d000 fd:02 1840740                        /usr/lib64/libreadline.so.6.2
3cb1243000-3cb1245000 rw-p 00000000 00:00 0
3cb1400000-3cb146e000 r-xp 00000000 fd:02 1836952                        /usr/lib64/libmng.so.1.0.0
3cb146e000-3cb166e000 ---p 0006e000 fd:02 1836952                        /usr/lib64/libmng.so.1.0.0Aborted (core dumped)


backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 16 Lee Ball 2013-01-17 09:01:14 EST
I tried opening Twinkle SoftPhone after it had previously been configured to point to an internal phone server.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 17 Alexander 2013-01-18 07:47:17 EST
1. yum install twinkle
2. start twinkle from system menu by clicking on it icon


backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 18 Earl 2013-01-20 12:13:27 EST
start twinkle

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 19 Itamar Heim 2013-01-20 17:46:12 EST
tried to start twinkle for the first time after installing it via yum install. crash happens each time.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 20 Jakub Dorňák 2013-01-25 08:42:39 EST
I just started twinkle after fresh installation of F18

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 21 Ladislav Jozsa 2013-01-30 05:00:09 EST
Running twinkle without any arguments caused this buffer overflow.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 22 Harish Pillay 2013-01-31 09:28:35 EST
I was invoking twinkle from the command line to ensure that it started correctly, but did not.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 23 Jakub Dorňák 2013-01-31 12:38:46 EST
Priority of this bug is urgent as there is currently no reliable softphone available in Fedora 18, which is really unpleasant.
Comment 24 Kevin Fenzi 2013-01-31 12:45:28 EST
(In reply to comment #23)
> Priority of this bug is urgent as there is currently no reliable softphone
> available in Fedora 18, which is really unpleasant.

I agree. However: 

a) Upstream is completely dead and has been for many years. 

b) I haven't been able to track down a fix. 

Patches welcome.
Comment 25 Gilles Dubreuil 2013-01-31 19:40:23 EST
Launching Twinkle on Fedora 18 always dump core.

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 26 Kevin Fenzi 2013-02-07 11:44:53 EST
*** Bug 908654 has been marked as a duplicate of this bug. ***
Comment 27 Yaniv Kaul 2013-02-07 15:16:05 EST
(In reply to comment #24)
> (In reply to comment #23)
> > Priority of this bug is urgent as there is currently no reliable softphone
> > available in Fedora 18, which is really unpleasant.
> 
> I agree. However: 
> 
> a) Upstream is completely dead and has been for many years. 
> 
> b) I haven't been able to track down a fix. 
> 
> Patches welcome.

So perhaps we should drop it from Fedora?
Comment 29 Lari Tanase 2013-02-08 05:24:35 EST
I will be gutted if it will be dropped
It is the only VoIP software which worked fine in almost all imaginable situation or providers

What as I noticed 
If you don't have a config will give you hangs
or if you start it without internet connection ( or filtered by firewall one)
Comment 30 Itamar Heim 2013-02-14 08:02:42 EST
(In reply to comment #29)
> I will be gutted if it will be dropped
> It is the only VoIP software which worked fine in almost all imaginable
> situation or providers
> 
> What as I noticed 
> If you don't have a config will give you hangs
> or if you start it without internet connection ( or filtered by firewall one)

so there is a workaround to launch it?
Comment 31 Pierguido Lambri 2013-02-14 08:11:39 EST
I get the crash with or without config.

I didn't try without any network connection though.
Comment 32 Elvir Kuric 2013-02-23 13:10:08 EST
twinkle crashed on Fedora 18

backtrace_rating: 3
Package: twinkle-1.4.2-19.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 33 Elvir Kuric 2013-02-25 08:08:01 EST
(In reply to comment #24)
> (In reply to comment #23)
> > Priority of this bug is urgent as there is currently no reliable softphone
> > available in Fedora 18, which is really unpleasant.
> 
> I agree. However: 
> 
> a) Upstream is completely dead and has been for many years. 
> 
> b) I haven't been able to track down a fix. 
> 
> Patches welcome.

I hope this bug will be fixed,but as alreday written - upstream abonded twinkle ... so let's hope Fedora will not!
Comment 34 Veerloos 2013-02-28 03:45:55 EST
While this is a bug that should be fixed upstream, I found a workaround that allows end users to use twinkle as long as there's not real fix: make sure your hostname can be resolved through dns. Having your hostname listed in /etc/hosts is not enough.

Only if the command "host $(hostname)" gives a valid answer, I can start twinkle. So I fixed this by putting my hostname in my routers DNS server.

Hope this helps you guys. Btw, I'm running FC18.
Comment 35 Anton Arapov 2013-02-28 06:16:02 EST
(comment #34) > works for me
Comment 36 Harish Pillay 2013-02-28 07:08:18 EST
(In reply to comment #34)
> While this is a bug that should be fixed upstream, I found a workaround that
> allows end users to use twinkle as long as there's not real fix: make sure
> your hostname can be resolved through dns. Having your hostname listed in
> /etc/hosts is not enough.
> 
> Only if the command "host $(hostname)" gives a valid answer, I can start
> twinkle. So I fixed this by putting my hostname in my routers DNS server.
> 
> Hope this helps you guys. Btw, I'm running FC18.

This workaround is wonderful.  It works in that twinkle starts and I can dial and do hear the dialing out etc. But the audio from me to the other end is OK, but I don't hear anything from the other side. My speakers work fine - I can hear the ringing on the other side but the audio back is not there.

Any suggestions on tracing that return audio channel?
Comment 37 manuel wolfshant 2013-02-28 07:12:33 EST
(In reply to comment #36)
> (In reply to comment #34)
> > While this is a bug that should be fixed upstream, I found a workaround that
> > allows end users to use twinkle as long as there's not real fix: make sure
> > your hostname can be resolved through dns. Having your hostname listed in
> > /etc/hosts is not enough.
> > 
> > Only if the command "host $(hostname)" gives a valid answer, I can start
> > twinkle. So I fixed this by putting my hostname in my routers DNS server.
> > 
> > Hope this helps you guys. Btw, I'm running FC18.
> 
> This workaround is wonderful.  It works in that twinkle starts and I can
> dial and do hear the dialing out etc. But the audio from me to the other end
> is OK, but I don't hear anything from the other side. My speakers work fine
> - I can hear the ringing on the other side but the audio back is not there.
> 
> Any suggestions on tracing that return audio channel?

You are missing one leg of the RTP stream. If you are behind NAT, make sure the server knows that. If I am not mistaken, in asterisk that would mean including nat=yes in the definition of your extension.
Comment 38 Harish Pillay 2013-02-28 07:35:16 EST
(In reply to comment #37)
> (In reply to comment #36)
> > (In reply to comment #34)
> > > While this is a bug that should be fixed upstream, I found a workaround that
> > > allows end users to use twinkle as long as there's not real fix: make sure
> > > your hostname can be resolved through dns. Having your hostname listed in
> > > /etc/hosts is not enough.
> > > 
> > > Only if the command "host $(hostname)" gives a valid answer, I can start
> > > twinkle. So I fixed this by putting my hostname in my routers DNS server.
> > > 
> > > Hope this helps you guys. Btw, I'm running FC18.
> > 
> > This workaround is wonderful.  It works in that twinkle starts and I can
> > dial and do hear the dialing out etc. But the audio from me to the other end
> > is OK, but I don't hear anything from the other side. My speakers work fine
> > - I can hear the ringing on the other side but the audio back is not there.
> > 
> > Any suggestions on tracing that return audio channel?
> 
> You are missing one leg of the RTP stream. If you are behind NAT, make sure
> the server knows that. If I am not mistaken, in asterisk that would mean
> including nat=yes in the definition of your extension.

Yes, I am connected to the server via a NAT and the NAT setting is "NAT-T when available (default)".  Switched it to "NAT-T always" and no difference. It's connecting to a Cisco switch I think (I will check that).
Comment 39 Itamar Heim 2013-03-12 05:27:58 EDT
(In reply to comment #34)
> While this is a bug that should be fixed upstream, I found a workaround that
> allows end users to use twinkle as long as there's not real fix: make sure
> your hostname can be resolved through dns. Having your hostname listed in
> /etc/hosts is not enough.
> 
> Only if the command "host $(hostname)" gives a valid answer, I can start
> twinkle. So I fixed this by putting my hostname in my routers DNS server.
> 
> Hope this helps you guys. Btw, I'm running FC18.

i re-installed my laptop.
no idea why, but twinkle works now (holding my fingers it will continue...)

same version as before, not related to the workaround:
rpm -qa | grep twinkle
twinkle-1.4.2-19.fc18.x86_64

host $(hostname)
Host localhost.localdomain not found: 3(NXDOMAIN)

no idea what changed.
Comment 40 Fedora End Of Life 2013-12-21 10:03:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 41 Fedora End Of Life 2014-02-05 17:46:03 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 42 Lari Tanase 2014-02-06 05:40:17 EST
Sorry but in Fedora 19 it seems that twinkle is not any more in repo

look also at

https://bugzilla.redhat.com/show_bug.cgi?id=981171



I was forced to switch to linphone ( not the happiest switch but at least it works)

Note You need to log in before you can comment on or make changes to this bug.